package com.trade.admin.business.payment.dto;

import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 支付扩展信息
 * @Author: wanglang
 * @Date: 2024/10/28
 * @Version: 1.0
 */
@Data
public class PaymentExtendDto {

    @ApiModelProperty(name = "disbursementEntry", value = "收汇凭证")
    private FileAbstractDto disbursementEntry;
    @ApiModelProperty(name = "applicant", value = "申请人")
    private String applicant;
    @ApiModelProperty(name = "remark", value = "申请人备注")
    private String remark;
    @ApiModelProperty(name = "businessNumber", value = "业务编号")
    private String businessNumber;
}
