package com.trade.admin.business.payment.vo;

import com.trade.admin.business.payment.domain.PaymentBasic;
import com.trade.admin.business.payment.domain.PaymentBasicInfo;
import com.trade.admin.business.payment.dto.PaymentExtendDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/28
 * @Version: 1.0
 */
@Data
public class PaymentOperatePageVo {

    @ApiModelProperty(name = "paymentBasic", value = "基础信息")
    private PaymentBasic paymentBasic;
    @ApiModelProperty(name = "paymentBasicInfo", value = "银行信息与支付信息")
    private PaymentBasicInfo paymentBasicInfo;
    @ApiModelProperty(name = "paymentExtendDto", value = "其他信息")
    private PaymentExtendDto paymentExtendDto;
}
