package com.trade.client.accounts.receivepayment.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/31 18:47
 * @Version: 1.0
 */
@ApiModel(value = "收款详情扩展信息", description = "收款详情扩展信息")
@Data
public class ReceivePaymentExtendDto {

    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
    /**
     * 出口类型，枚举：export_type
     */
    @ApiModelProperty(name = "exportType", value = "出口类型")
    private String exportType;
    /**
     * 所属地区，枚举类型district_code
     */
    @ApiModelProperty(name = "districtCode", value = "代理公司/贸易平台所属地区")
    private String districtCode;
}
