package com.trade.client.config;

import com.trade.common.annotation.I18nEntityScan;
import com.trade.common.config.mybatis.plugin.I18nSqlProcessInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@I18nEntityScan({
        "com.trade.service.tradingplatform.domain", "com.trade.service.enterprise.customer.domain"
})
public class DatabaseConfiguration {

    @Bean
    public I18nSqlProcessInterceptor i18nSqlProcessInterceptor() {
        return new I18nSqlProcessInterceptor();
    }
}
