package com.trade.service.contract.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 合同签署输出子项
 */
@Getter
@Setter
public class ContractSignOutputItem {

    private String fileType;// 文件类型
    private Long fileId;// 未签署的文件ID
    private String thirdFileId;// 第三方签署文件ID

    public ContractSignOutputItem(String fileType, Long fileId, String thirdFileId){
        this.fileType = fileType;
        this.fileId = fileId;
        this.thirdFileId = thirdFileId;
    }
}
