package com.trade.service.contract.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * fadada签署人账户信息表
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-25
 */
@Getter
@Setter
@TableName("fdd_account")
@Builder
public class FddAccount extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 签署人证件类型
     */
    private String idType;

    /**
     * 签署人证件号码
     */
    private String idNo;

    /**
     * 签署人姓名
     */
    private String name;

    /**
     * 签署人手机号
     */
    private String phone;

    /**
     * 签署人邮箱
     */
    private String email;

    /**
     * 签署人法大大账号ID
     */
    private String thirdAccountId;

    /**
     * 认证状态
     */
    private Boolean authStatus;
}
