package com.trade.service.contract.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.contract.entity.ESignFile;

import java.util.List;

public interface ESignFileService extends IService<ESignFile> {

    /**
     * 新增e签宝签署文件
     * 
     * @param eSignFile 文件信息
     * @return boolean
     */
    boolean add(ESignFile eSignFile);

    /**
     * 根据流程id查询e签宝签署文件
     * 
     * @param flowId 流程id
     * @return List<ESignFile>
     */
    List<ESignFile> getByFlowId(String flowId);
}
