package com.trade.service.contract.service;

import com.trade.service.contract.dto.ContractSignCallBack;
import com.trade.service.contract.dto.ContractSignInfo;
import com.trade.service.contract.dto.ContractSignInput;
import com.trade.service.contract.dto.ContractSignOutput;

import java.util.List;
import java.util.Map;

public interface SignPlatformService {

    // 客户端签署合同
    ContractSignOutput signContract(ContractSignInput signInput);
    // 平台静默签署
    // Boolean platformSignContract(String flowId);

    // 处理回调
    void handleCallback(ContractSignCallBack callback);

    Map<String, String> getAccountMap(List<ContractSignInfo> signInfoList);
}
