package com.trade.service.credit.domain;

import com.baomidou.mybatisplus.annotation.TableName;

import com.trade.common.core.domain.BizBaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 授信申请资料
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Getter
@Setter
@TableName("biz_credit_file")
public class BizCreditFile extends BizBaseEntity<BizCreditFile> {

    private static final long serialVersionUID = 1L;

    /**
     * 授信申请编号
     */
    private String applyNo;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 状态 0待提交/1待审核/2审核通过
     */
    private Byte status;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件存储id
     */
    private Long fileStorageId;

}
