package com.trade.service.finance.constant;

/**
 * @description: 常量
 * @Author: wanglang
 * @Date: 2024/10/22
 * @Version: 1.0
 */
public class BillingConstant {

    // 出口退税款
    public static final String PAYMENT_TYPE_TAX_REFUND = "1";
    // 贸易回款
    public static final String PAYMENT_TYPE_REPAYMENT = "2";
    // 预收货款
    public static final String PAYMENT_TYPE_ADVANCES_ON_SALES = "3";
    // 贸易融资款
    public static final String PAYMENT_TYPE_TRADE_FINANCE = "4";
    // 技术服务费
    public static final String PAYMENT_TYPE_TECHNICAL_SERVICE_FEE = "5";
    // 出口退税服务费
    public static final String PAYMENT_TYPE_EXPORT_TAX_REFUND_SERVICE_FEE = "6";


    // 入账申请
    public static final String PAYMENT_WAY_ENTRY_APPLY = "2";
    // 系统录入
    public static final String PAYMENT_WAY_SYSTEM_ENTRY = "1";
    // 待确认 -- 入账与分账共用
    public static final String ENTRY_STATUS_UNCONFIRMED = "1";
    // 已收款 -- 入账与分账共用
    public static final String ENTRY_STATUS_RECEIVED = "2";
    // 收款凭证
    public static final String ERECEIVE_PAYMENT_VOUCHER = "receivePaymentVoucher";
    // 收款凭证
    public static final String PAYMENT_VOUCHER = "paymentVoucher";
    // 支付状态 待审批
    public static final String PAYMENT_STATUS_UNAPPROVED = "1";
    // 退回
    public static final String PAYMENT_STATUS_REJECTED = "2";
    // 出账确认中
    public static final String PAYMENT_STATUS_CONFIRMING = "3";
    // 出账已确认
    public static final String PAYMENT_STATUS_CONFIRMED = "4";
    // 出账状态 待确认
    public static final String DISBURSEMENT_STATUS_UNCONFIRMED = "1";
    // 已确认
    public static final String DISBURSEMENT_STATUS_CONFIRMED = "2";
    // 客户
    public static final String PAYEE_TYPE_CUSTOMER = "1";
    // 资金方
    public static final String PAYEE_TYPE_FUNDER = "2";
    // 代理公司
    public static final String PAYEE_TYPE_AGENT = "3";
    // 长银科技公司
    public static final String PAYEE_TYPE_CHANGYIN_TECHNOLOGY = "4";
    // 付款方类型 代理公司
    public static final String PAYERTYPE_AGENT = "1";
    // 付款方类型 资金方
    public static final String PAYERTYPE_FUNDER = "2";
    // 付款方类型 税务局
    public static final String PAYERTYPE_TAXATION_BUREAU = "3";
    // // 付款方类型 进口商
    public static final String PAYERTYPE_IMPORTER = "4";
    // 支付状态1待支付
    public static final String PAYMENT_STATUS_WAIT = "1";
    // 2未支付（超时未付）
    public static final String PAYMENT_STATUS_UNPAID = "2";
    // 3已完成
    public static final String PAYMENT_STATUS_PAID = "3";

    // 付款类型1技术服务费
    public static final String PAYMENT_TYPE_TECHNOLOGY_SERVICE_FEE = "1";
    // 2出口退税服务费
    public static final String PAYMENT_TYPE_TAX_REFUND_FEE = "2";
}
