package com.trade.service.finance.disbursement.dto;

import com.trade.common.core.page.PageDomain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/29
 * @Version: 1.0
 */
@Data
public class DisbursementSearchDto extends PageDomain {

    @ApiModelProperty(name = "paymentType", value = "款项类型1出口退税款2贸易回款")
    private String paymentType;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    // @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    // private String importerCertNo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "status", value = "入账状态1待确认2已收款")
    private String status;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "customerUserInfo", value = "客户id或者客户名称")
    private String customerUserInfo;
    @ApiModelProperty(name = "beginTime", value = "产生开始时间")
    private String beginTime;
    @ApiModelProperty(name = "endTime", value = "产生结束时间")
    private String endTime;
    @ApiModelProperty(name = "number", value = "交易编号/入账业务编号")
    private String number;
}
