package com.trade.service.finance.disbursement.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description: 自营出口退税
 * @Author: wanglang
 * @Date: 2024/10/31
 * @Version: 1.0
 */
@Data
public class ExportTaxRefundSelfDto {

    /**
     * 海关报关单号（18位）
     */
    private String customsDeclarationNo;
    // 合同id
    private Long saleContractId;
    // 已认证退税记录“认证日期”。
    private Date rzrq;
    // 退税金额
    private BigDecimal refundAmount;
}
