package com.trade.service.finance.paymentcollection.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/30
 * @Version: 1.0
 */
@Data
public class ExportTaxRefundDto {

    /**
     * 申报年月（所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 海关报关单号（18位）
     */
    private String customsDeclarationNo;
    // 出口货物报关单号（21位）
    private String exportCustomsDeclarationNo;
    // 退税金额
    private BigDecimal refundAmount;
    // 银行账号
    private String accountNumber;
}
