package com.trade.service.finance.paymentcollection.dto;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/30
 * @Version: 1.0
 */
@Data
public class ExportTaxRefundV2Dto {

    /**
     * 申报年月（所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    // 出口明细表id
    private List<Long> detailIds;
    // 退税金额
    private BigDecimal refundAmount;
    // 银行账号
    private String accountNumber;
    // 入账日期
    private LocalDate entryDate;
    // 合同id
    private Long saleContractId;
}
