/**
 * @filename:BillingIncomeInfoDao 2024-10-28
 * @project KJT  v1.1.0
 * Copyright(c) 2024 wanglang Co. Ltd.
 * All right reserved. 
 */
package com.trade.service.finance.paymentcollection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.finance.paymentcollection.domain.BillingIncomeInfo;
import org.apache.ibatis.annotations.Mapper;


/**   
 * @Description:支付基础表数据访问层
 *
 * @version: v1.1.0
 * @author: wanglang
 * 
 */
@Mapper
public interface BillingIncomeInfoMapper extends BaseMapper<BillingIncomeInfo> {
	
}
