package com.trade.service.trade.filingdoc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.filingdoc.domain.FilingDocWriteTask;
import com.trade.service.trade.filingdoc.vo.FilingDocSearch;
import com.trade.service.trade.filingdoc.vo.FilingDocVO;

import java.util.List;

/**
 * <p>
 * 备案单证写入小图任务 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-10-23
 */
public interface FilingDocWriteTaskMapper extends BaseMapper<FilingDocWriteTask> {

    List<FilingDocVO> queryList4FilingDocBySearch(FilingDocSearch search);
}
