package com.trade.service.trade.filingdoc.vo;

import com.trade.common.core.dto.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class CustomsDeclaration4FilingDocSearch extends BaseSearch {

    @ApiModelProperty(name = "customsNoOrSaleOrderNo", value = "报关单号/销售订单号")
    private String customsNoOrSaleOrderNo;
    @ApiModelProperty(name = "entrustNo", value = "委托协议编号")
    private String entrustNo;
    @ApiModelProperty(name = "declareCompany", value = "申报单位")
    private String declareCompany;
    @ApiModelProperty(name = "outDateStart", value = "出口日期开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date outDateStart;
    @ApiModelProperty(name = "outDateEnd", value = "出口日期结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date outDateEnd;
}
