package com.trade.service.trade.filingdoc.vo;

import java.math.BigDecimal;

import com.trade.service.filestorage.dto.FileAbstractDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CustomsDeclaration4FilingDocVO {

    @ApiModelProperty(name = "customsFile", value = "提单文件")
    private FileAbstractDto customsFile;
    @ApiModelProperty(name = "customsFileId", value = "提单文件id")
    private Long customsFileId;
    @ApiModelProperty(name = "customsNo", value = "报关单号")
    private String customsNo;
    @ApiModelProperty(name = "tradeTerms", value = "贸易术语")
    private Long tradeTerms;
    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "entrustNo", value = "委托协议编号")
    private String entrustNo;
    @ApiModelProperty(name = "entrustFile", value = "委托协议文件")
    private FileAbstractDto entrustFile;
    @ApiModelProperty(name = "entrustFileId", value = "委托协议文件id")
    private Long entrustFileId;
    @ApiModelProperty(name = "declareCompanyName", value = "申报单位名称")
    private String declareCompanyName;
    @ApiModelProperty(name = "outAmount", value = "出口额")
    private BigDecimal outAmount;
    @ApiModelProperty(name = "outDate", value = "出口日期")
    private String outDate;
}
