package com.trade.service.trade.filingdoc.vo;

import java.time.LocalDateTime;

import com.trade.service.filestorage.dto.FileAbstractDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class Logistics4FilingDocVO {

    @ApiModelProperty(name = "ladingBillFile", value = "提单文件")
    private FileAbstractDto ladingBillFile;
    @ApiModelProperty(name = "ladingBillNo", value = "提单号")
    private String ladingBillNo;
    @ApiModelProperty(name = "ladingBillFileId", value = "提单文件id")
    private Long ladingBillFileId;
    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "logisticsCompany", value = "物流公司")
    private String logisticsCompany;
    @ApiModelProperty(name = "fromPort", value = "启运港")
    private String fromPort;
    @ApiModelProperty(name = "destPort", value = "目的港")
    private String destPort;
    @ApiModelProperty(name = "deliverTime", value = "发货时间")
    private LocalDateTime deliverTime;
    @ApiModelProperty(name = "billNo", value = "集装箱号")
    private String billNo;
    @ApiModelProperty(name = "fileId", value = "集装箱单ID")
    private Long fileId;
    @ApiModelProperty(name = "file", value = "集装箱单")
    private FileAbstractDto file;
}
