package com.trade.service.trade.filingdoc.vo;

import java.math.BigDecimal;
import java.time.LocalDate;

import com.trade.service.filestorage.dto.FileAbstractDto;

import lombok.Getter;
import lombok.Setter;

/**
 * 销售合同列表 - 备案单证
 */
@Setter
@Getter
public class SalesContract4FilingDocVO {

    private String contractNo; // 合同编号
    private String contractName; // 合同名称
    private String agencyEnterpriseName; // 代理公司企业名称
    private String importerEnterpriseName; // 进口企业名称
    private BigDecimal contractAmount; // 合同金额
    private LocalDate signDate; // 合同签订日期
    private Long contractFileId; // 合同文件Id
    private FileAbstractDto contractFile; // 合同文件
}
