package com.trade.service.trade.purchaseorder.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 交易平台发票信息
 * @Author: wanglang
 * @Date: 2024/9/23
 * @Version: 1.0
 */
@Data
public class TradingPlatformInvoiceVo {

    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 发票金额
     */
    private BigDecimal amountTotal;
    /**
     * 税号
     */
    private String taxNum;
    /**
     * 小图退税用id
     */
    private String xtUserId;
    /**
     * 小图退税企业id
     */
    private String xtEid;
    /**
     * 客户id
     */
    private Long customerUserId;
}
