package com.trade.service.trade.salescontract.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 合同文件Vo
 * @Author: wanglang
 * @Date: 2024/9/5 9:15
 * @Version: 1.0
 */
@Data
public class ContractFileDto {

    /**
     * 文件id
     */
    @ApiModelProperty(name = "id", value = "文件id")
    private Long id;
    /**
     * 文件名称
     */
    @ApiModelProperty(name = "originalName", value = "文件名称")
    private String originalName;
    /**
     * 文件映射路径
     */
    @ApiModelProperty(name = "path", value = "文件映射路径")
    private String path;
    /**
     * 文件id
     */
    @ApiModelProperty(name = "fileId", value = "文件id")
    private Long fileId;
}
