package com.trade.service.trade.salesorder.constant;

public class SaleOrderConstant {

    /**
     * 形式发票号前缀
     */
    public static final String ORDER_INVOICE_NO_PREFIX = "CHKJT";
    /**
     * 订单状态-0待生效
     */
    public static final Integer ORDER_STATUS_INIT = 0;
    /**
     * 订单状态-1待发货
     */
    public static final Integer ORDER_STATUS_WAIT_DELIVERY = 1;
    /**
     * 订单状态-2运输中
     */
    public static final Integer ORDER_STATUS_DELIVERING = 2;
    /**
     * 订单状态-3部分收款
     */
    public static final Integer ORDER_STATUS_PARTIAL_COLLECTION = 3;
    /**
     * 订单状态-4部分回款审核中
     */
    public static final Integer ORDER_STATUS_PARTIAL_REPAYMENT_UNDER_REVIEW = 4;
    /**
     * 订单状态-5回款审核中
     */
    public static final Integer ORDER_STATUS_REPAYMENT_UNDER_REVIEW = 5;
    /**
     * 订单状态-6部分完成
     */
    public static final Integer ORDER_STATUS_PARTIALLY_COMPLETED = 6;
    /**
     * 订单状态-7已收款
     */
    public static final Integer ORDER_STATUS_RECEIVED = 7;
    /**
     * 订单状态-8交易完成
     */
    public static final Integer ORDER_STATUS_END = 8;
    /**
     * 商品状态-0未收款
     */
    public static final Integer GOODS_STATUS_UNCOLLECTED = 0;
    /**
     * 商品状态-1审核中
     */
    public static final Integer GOODS_STATUS_IN_REVIEW = 1;
    /**
     * 商品状态-2已收款
     */
    public static final Integer GOODS_STATUS_RECEIVED = 2;

    /**
     * 商品状态-3已转出
     */
    public static final Integer GOODS_STATUS_TRANSFERRED_OUT = 3;
    /**
     * /** 形式发票/采购订单开票通知书商品列表key
     */
    public static final String ORDER_INVOICE_GOODS_LIST_KEY = "goods";
}
