package com.trade.service.trade.salesorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 报关单相关文件
 * </p>
 *
 * @author zhangchenm
 * @since 2024-10-26
 */
@Getter
@Setter
@TableName("customs_declaration_file")
public class CustomsDeclarationFile extends BizBaseEntity<CustomsDeclarationFile> {

    private static final long serialVersionUID = 1L;
    /**
     * 报关单海关编号
     */
    private String customsNo;
    /**
     * 报关单文件id
     */
    private Long customsFileId;
    /**
     * 委托报关协议编号
     */
    private String entrustNo;
    /**
     * 委托报关协议文件id
     */
    private Long entrustFileId;
}
