package com.trade.service.trade.salesorder.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/11/6
 * @Version: 1.0
 */
@Data
public class OrderPaymentAmountDto {
    @ApiModelProperty(name = "actualReceivedAmount", value = "收款金额/实际收款金额")
    private BigDecimal actualReceivedAmount;
    @ApiModelProperty(name = "businessBatchNumber", value = "业务批次编号")
    private String businessBatchNumber;
}
