package com.trade.service.trade.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.salesorder.domain.SalesOrderContainer;
import com.trade.service.trade.salesorder.vo.SalesOrderContainerVO;

import java.util.List;

/**
 * <p>
 * 销售订单-集装箱信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface SalesOrderContainerMapper extends BaseMapper<SalesOrderContainer> {

    List<SalesOrderContainerVO> listByLogisticsId(Long id);
}
