package com.trade.service.trade.salesorder.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.trade.salesorder.domain.SalesOrderContainer;
import com.trade.service.trade.salesorder.vo.SalesOrderContainerVO;

import java.util.List;

/**
 * <p>
 * 销售订单-集装箱信息 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface ISalesOrderContainerService extends IService<SalesOrderContainer> {

    List<SalesOrderContainerVO> listByLogisticsId(Long id);
}
