package com.trade.service.trade.salesorder.vo;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CustomsDeclarationGoodsBelongsVO {

    private Long id;
    /**
     * 销售订单号
     */
    private String salesOrderNo;
    /**
     * 销售合同id
     */
    private Long salesContractId;
    /**
     * 销售合同号
     */
    private String salesContractNo;
    /**
     * 海关出口商品代码（对应销售订单商品hs_code）
     */
    private String hgckspDm;
    /**
     * 出口报关单号（21位）
     */
    private String ckbgdh;
    /**
     * 报关单海关编码（18位）
     */
    private String bgdhgbh;
    /**
     * 客户id
     */
    private Long customerUserId;
    /**
     * 进口商证件号
     */
    private String importerCertNo;
    /**
     * 贸易平台证件号
     */
    private String agencyCertNo;
    /**
     * 是否有对应采购合同（“自营出口”的“生产企业”,不生成采购合同）
     */
    private Boolean hasPurchaseContract;
    /**
     * 小图用户id
     */
    private String xtUserId;
    /**
     * 小图企业id
     */
    private String xtEid;
}
