package com.trade.service.trade.salesorder.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CustomsDeclarationGoodsDtlVO {

    @ApiModelProperty(name = "hsCode", value = "HS CODE")
    private String hsCode;
    @ApiModelProperty(name = "unit", value = "计量单位")
    private String unit;
    @ApiModelProperty(name = "price", value = "销售单价")
    private BigDecimal price;
    @ApiModelProperty(name = "count", value = "商品数量")
    private BigDecimal count;
    @ApiModelProperty(name = "priceTotal", value = "商品总额")
    private BigDecimal priceTotal;
    @ApiModelProperty(name = "paymentCurrency", value = "支付币种")
    private String paymentCurrency;
    @ApiModelProperty(name = "xh4", value = "项号")
    private String xh4;
    @ApiModelProperty(name = "hgspmc", value = "海关商品名称")
    private String hgspmc;
    @ApiModelProperty(name = "ggxh", value = "规格型号")
    private String ggxh;
    @ApiModelProperty(name = "fdjldw", value = "法定计量单位")
    private String fdjldw;
    @ApiModelProperty(name = "cksl", value = "法定单位数量")
    private BigDecimal cksl;
}
