package com.trade.service.trade.salesorder.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CustomsDeclarationVO {

    @ApiModelProperty(name = "id", value = "主键id")
    private Long id;
    @ApiModelProperty(name = "orderNo", value = "订单编号")
    private String orderNo;
    @ApiModelProperty(name = "importerId", value = "进口商id")
    private Long importerId;
    @ApiModelProperty(name = "importerName", value = "进口商名称")
    private String importerName;
    @ApiModelProperty(name = "bgdhgbh", value = "报关单海关编号")
    private String bgdhgbh;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "tradeTerms", value = "贸易术语")
    private String tradeTerms;
    @ApiModelProperty(name = "invoiceNo", value = "发票号码")
    private String invoiceNo;
    @ApiModelProperty(name = "ladingBillNo", value = "提单号")
    private String ladingBillNo;
    @ApiModelProperty(name = "status", value = "报关结关状态")
    private String status;
    @ApiModelProperty(name = "hgckhwbgdsbrq", value = "申报日期")
    private String hgckhwbgdsbrq;
    @ApiModelProperty(name = "ckrq1", value = "出口日期")
    private String ckrq1;
}
