package com.trade.admin.business.payment.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/28 16:55
 * @Version: 1.0
 */
@Data
public class PaymentApproveDto {

    @ApiModelProperty(name = "id", value = "主键id")
    @NotNull(message = "分账主键不能为空")
    private Long id;
    @ApiModelProperty(name = "status", value = "审批结果")
    @NotBlank(message = "审批结果不能为空")
    private String status;
    @ApiModelProperty(name = "remark", value = "审批意见")
    @NotBlank(message = "审批意见不能为空")
    private String remark;
}
