package com.trade.admin.business.separateaccounts.dto;

import com.trade.admin.business.separateaccounts.vo.SeparateAccountsSubmitVo;
import com.trade.admin.finance.paymentcollection.dto.BillingIncomeInfoDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/30 20:10
 * @Version: 1.0
 */
@Data
public class IncomeInfoDto extends BillingIncomeInfoDto {

    @ApiModelProperty(name = "applyAmount", value = "申请金额/对于退税就是总额")
    private BigDecimal applyAmount;
    @ApiModelProperty(name = "currencyCode", value = "申请币种")
    private String applyCurrency;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "voucherNo", value = "凭证号")
    private String voucherNo;
    @ApiModelProperty(name = "reviewer", value = "审核人")
    private String reviewer;
    @ApiModelProperty(name = "reviewRemark", value = "审核人备注")
    private String reviewRemark;
}
