package com.trade.admin.trade.exportrebate.dto;

import com.trade.service.trade.exportrebate.dto.search.TaxRebateExportAbstractInfoSearchDto;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

@Data
public class ExportTaxRefundBatchRequest {
    /**
     * 多选条件
     */
    List<TaxRebateExportAbstractInfoSearchDto> searchDtos;
    /**
     * 退税到账金额
     */
    private BigDecimal refundAmount;
    /**
     * 到账日期
     */
    private LocalDate entryDate;
    /**
     * 收款银行账号
     */
    private String accountNumber;
}
