package com.trade.client.accounts.receivepayment.dto;

import com.trade.service.filestorage.dto.FileAbstractDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/31
 * @Version: 1.0
 */
@ApiModel(value = "单据信息", description = "单据信息")
@Data
public class DocumentInfoDto {

    @ApiModelProperty(name = "category", value = "合同单据类别")
    private String category;
    @ApiModelProperty(name = "documentNumber", value = "合同单据编号")
    private String documentNumber;
    @ApiModelProperty(name = "documentName", value = "合同单据名称")
    private String documentName;
    @ApiModelProperty(name = "documentDate", value = "合同单据日期")
    private String documentDate;
    @ApiModelProperty(name = "documentFile", value = "单据文件")
    private FileAbstractDto documentFile;
    @ApiModelProperty(name = "orderNumber", value = "订单编号")
    private String orderNumber;
}
