package com.trade.client.enterprise.customer.constant;

/**
 * @description: 客户常量类
 * @Author: wanglang
 * @Date: 2024/5/13
 * @Version: 1.0
 */
public class CustConstant {

    /**
     * 密码正则表达式
     */
    public static final String CUST_PASSWORD_REGEXP = "^(?=.*[a-zA-Z])(?=.*\\d)(?=.*[@#$%^&*_+-=]).{8,16}$";
    // ---邮件通知主题
    /**
     * 用户认证邮箱验证码主题
     */
    public static final String USER_CERTIFICATION_SUBJECT = "用户认证-邮箱验证码";
    /**
     * 用户中心邮箱验证码主题
     */
    public static final String USER_BINDING_EMAIL_SUBJECT = "绑定邮箱-邮箱验证码";
    // ---邮件通知模板
    /**
     * 用户中心邮箱验证码模板名称
     */
    public static final String USER_BINDING_EMAIL_TEMPLATE = "UserBindingEmail";
    /**
     * 用户认证邮箱验证码模板名称
     */
    public static final String USER_CERTIFICATION_TEMPLATE = "UserCertification";
}
