package com.trade.common.annotation;

import java.lang.annotation.*;

/**
 * 作用与java.util.Date 将字段重写值为当日的结束时间，如将日期2021-01-01 12:30:23重写为2021-01-01 23:59:59
 */
@Retention(RetentionPolicy.RUNTIME)
@Target( ElementType.FIELD)
public @interface RewriteDateAt {
    RewriteDateAtEnum value() default RewriteDateAtEnum.NONE;
}
