/**
 * @filename:0ayableAccountsDao 2024-11-05
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.business.payableaccounts.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.business.payableaccounts.domain.PayableAccounts;
import com.trade.service.business.payableaccounts.dto.PayableAccountsSearchDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description:应付账款表数据访问层
 * @version: v1.1.0
 * @author: wanglang
 */
@Mapper
public interface PayableAccountsMapper extends BaseMapper<PayableAccounts> {

    /**
     * 分页查询
     *
     * @param searchDto 查询条件
     * @return List<SeparateAccounts>
     */
    List<PayableAccounts> selectByPage(PayableAccountsSearchDto searchDto);
}
