/**
 * @filename:/rderReceivePaymentAssociationDao 2024-11-06
 * @project KJT v1.1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.finance.paymentcollection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.finance.paymentcollection.domain.OrderReceivePaymentAssociation;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description:订单与收款关联表数据访问层
 * @version: v1.1.0
 * @author: wanglang
 */
@Mapper
public interface OrderReceivePaymentAssociationMapper extends BaseMapper<OrderReceivePaymentAssociation> {
}
