package com.trade.service.system.mapper;

/**
 * @filename:InvoiceTypeMappingMapper 2024-10-14
 * @project KJT  v1.0.0
 * Copyright(c) 2024 wanglang Co. Ltd.
 * All right reserved.
 */


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.system.domain.InvoiceTypeMapping;
import org.apache.ibatis.annotations.Mapper;


/**
 * @Description:小图-kjt-发票类型映射表数据访问层
 *
 * @version: v1.0.0
 * @author: wanglang
 *
 */
@Mapper
public interface InvoiceTypeMappingMapper extends BaseMapper<InvoiceTypeMapping> {

}