package com.trade.service.trade.filingdoc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.trade.filingdoc.domain.FilingDocWriteTask;
import com.trade.service.trade.filingdoc.vo.FilingDocSearch;
import com.trade.service.trade.filingdoc.vo.FilingDocVO;

import java.util.List;

/**
 * <p>
 * 备案单证写入小图任务 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-10-23
 */
public interface IFilingDocWriteTaskService extends IService<FilingDocWriteTask> {

    boolean updateTask(FilingDocWriteTask task);

    List<FilingDocWriteTask> findTaskByStatus(Integer status);

    /**
     * 备案单证汇总列表查询
     *
     * @param search 查询条件
     * @return 查询结果
     */
    List<FilingDocVO> queryList4FilingDocBySearch(FilingDocSearch search);
}
