package com.trade.service.trade.filingdoc.vo;

import com.trade.common.core.dto.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Setter
@Getter
public class Contract4FilingDocSearch extends BaseSearch {

    private String declareDate;// 申报年月
    private String declareBatch;// 申报批次
    private String contractNo;// 合同编号 出口对应销售合同编号 购货对应采购合同编号
    private String saleContractNo;// 销售合同编号
    private String agencyCertNo;// 代理企业证件号
    private String importerCertNo;// 进口商证件号
    private Long customerUserId;// 客户ID
    @ApiModelProperty(name = "signDateStart", value = "签署日期开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date signDateStart;
    @ApiModelProperty(name = "signDateEnd", value = "签署日期结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date signDateEnd;
}
