package com.trade.service.trade.filingdoc.vo;

import java.math.BigDecimal;
import java.time.LocalDate;

import com.trade.service.filestorage.dto.FileAbstractDto;

import lombok.Getter;
import lombok.Setter;

/**
 * 销售合同列表 - 备案单证
 */
@Setter
@Getter
public class PurchaseContract4FilingDocVO {

    private Long id; // 主键ID
    private String saleContractNo; // 销售合同编号
    private String contractNo; // 合同编号
    private String contractName; // 合同名称
    private String agencyEnterpriseName; // 代理公司企业名称
    private String enterpriseName; // 客户名称
    private BigDecimal contractAmount; // 合同金额
    private LocalDate signDate; // 合同签订日期
    private FileAbstractDto purchaseContractFile; // 采购合同文件
    private FileAbstractDto platformCommitmentLetter; // 承诺函文件
}
